> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all concepts GET https://cdn.contentful.com/spaces/{space_id}/environments/{environment_id}/taxonomy/concepts Returns all taxonomy concepts for the organization, with cursor-based pagination. Filter by `sys.id[in]`, `conceptScheme`, `order`, `limit`, `pageNext`, and `pagePrev` query parameters. Reference: https://contentful.com/developers/docs/references/content-delivery-api/taxonomy/get-all-concepts ## Request ### Path parameters - `space_id` (string, required) — ID of the space - `environment_id` (string, required) — ID of the environment ### Query parameters - `limit` (string, optional) — Limits the maximum number of concepts returned (per page). - `pageNext` (string, optional) — Pagination cursor from which to return the next page of concepts. Alternatively, just call the url at `pages.next` in the previous response. - `pagePrev` (string, optional) — Pagination cursor from which to return the previous page of concepts. Alternatively, just use the full url from `pages.prev` in the previous response. - `conceptScheme` (string, optional) — Return only concepts belonging to the specified concept scheme - `order` (string, optional) — Options: _sys.createdAt_, _sys.updatedAt_, _prefLabel_ - `sys.id[in]` (string, optional) — Return only the concepts matching the given comma-separated list of concept IDs ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "altLabels": { "en-US": [] }, "broader": [ { "sys": { "id": "5YRe68gqRx6QlLyEE00Ue6", "linkType": "TaxonomyConcept", "type": "Link" } } ], "changeNote": { "en-US": "" }, "conceptSchemes": [ { "sys": { "id": "2s0F7127ajju1AVToMaCtE", "linkType": "TaxonomyConceptScheme", "type": "Link" } } ], "definition": { "en-US": "" }, "editorialNote": { "en-US": "" }, "example": { "en-US": "" }, "hiddenLabels": { "en-US": [] }, "historyNote": { "en-US": "" }, "notations": [], "note": { "en-US": "" }, "prefLabel": { "en-US": "sofa" }, "related": [ { "sys": { "id": "5YRe68gqRx6QlLyEE00Ue6", "linkType": "TaxonomyConcept", "type": "Link" } } ], "scopeNote": { "en-US": "" }, "sys": { "createdAt": "2025-09-22T06:43:45.000Z", "id": "3DMf5gdax6J22AfcJ6fvsC", "type": "TaxonomyConcept", "updatedAt": "2025-09-22T06:43:45.000Z", "version": 1 }, "uri": null } ], "limit": 100, "pages": { "next": "", "prev": "" }, "sys": { "type": "Array" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' const client = createClient({ space: '', environment: '', // defaults to 'master' if not set accessToken: '' }) client.getConcepts() .then((concepts) => console.log(concepts)) .catch(console.error) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby require 'contentful' client = Contentful::Client.new( space: '', access_token: '', environment: 'master', # Optional - defaults to 'master'. dynamic_entries: :auto # Enables Content Type caching. ) concepts = client.taxonomy_concepts ``` ```python Python from contentful import Client client = Client( '', '', environment='master' # Optional - it defaults to 'master'. ) concepts = client.taxonomy_concepts() ``` ```.net .NET csharp // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulClient(httpClient, "", "", ""); var concepts = await client.GetTaxonomyConcepts(); ```